.TH FBHAM 1 25-Jun-90
.CM 3
.SH NAME
fbham \- Convert 24 bit RGB color to Amiga HAM mode
.SH SYNOPSIS
.nf
fbham < image.cbm > image.ham
.fi
.SH DESCRIPTION
.PP
.I fbham
reads a 24bit color image and produces Amiga HAM mode.  The output is
an IFF ILBM file with 6 planes.  The first two bits of a pixel specify
an operation and the last four bits specify a color.  The operations
are:
.sp
.nf
   00	Use the 4bit value as in index into the color table.
   01	Copy the RGB values for the pixel to the immediate left,
  	using the 4bit value to change the intensity of the red
	gun.  The new red value will be the 4bit value shifted
	left 4 bits (so 0,1,...15 maps to 0,16,...240).
   02	Same as above, but change green gun.
   03	Same as above, but change blue gun.
.fi
.sp
If your input image is not 24 bits, use unmap(1) to convert almost any
color image to 24 bits.
.SH OPTIONS
.PP
None.
.SH SEE ALSO
fbm(1) for general discussion, pbm(1) for PBM routines.
.SH BUGS
Really lousy choice for initial colormap.  Should use the
build_colormap routine from fbquant.
.SH HISTORY
Copyright (C) 1989,1990 by C. Harald Koch & Michael Mauldin.
Permission is granted to use this file in whole or in part for
any purpose, educational, recreational or commercial, provided
that this copyright notice is retained unchanged.  This software
is available to all free of charge by anonymous FTP and in the
UUNET archives.
.TP
25-Jun-90  Michael Mauldin at Carnegie Mellon University
Release 1.0 mlm@cs.cmu.edu
.TP
20-May-89  Michael L. Mauldin at Carnegie Mellon University
Wrote this man page.  Software by C. Harald Koch (chk) at DCIEM Toronto
<chk@ben.dciem.dnd.ca>, based on ray2.c from DBW_Render, Copyright 1987
David B. Wecker.
